Submit Job
curl --request POST \
--url https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic \
--header 'Authorization: <authorization>' \
--header 'x-accept-type: <x-accept-type>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic"
headers = {
"x-accept-type": "<x-accept-type>",
"x-api-key": "<x-api-key>",
"Authorization": "<authorization>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-accept-type': '<x-accept-type>',
'x-api-key': '<x-api-key>',
Authorization: '<authorization>'
}
};
fetch('https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1764238280541,
"data": {
"created_at": 1764238289996,
"updated_at": 1764238289996,
"@entity": "in.co.sandbox.it.calculator.tax_pnl.securities.job",
"security_type": "domestic",
"url": "https://in-co-sbox-it-calc-tax-pnl-sec-dev.s3.ap-south-1.amazonaws.com/domestic/cae21a50-9940-48d9-9c20-800df31e0e81/workbook.input?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=EXAMPLEACCESSKEY%2F20251127%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Date=20251127T101130Z&X-Amz-Expires=86400&X-Amz-Signature=EXAMPLE_SIGNATURE&X-Amz-SignedHeaders=host&x-amz-checksum-crc32=AAAAAA%3D%3D&x-amz-sdk-checksum-algorithm=CRC32&x-id=PutObject",
"status": "created",
"job_id": "cae21a50-9940-48d9-9c20-800df31e0e81"
},
"transaction_id": "cae21a50-9940-48d9-9c20-800df31e0e81"
}{
"code": 422,
"timestamp": 1764238336424,
"message": "Invalid request",
"transaction_id": "cdd0702e-1575-4d1e-99f6-29ffe4074277"
}Submit an async job that calculates domestic securities Tax P&L.
POST
/
it
/
calculator
/
tax-pnl
/
securities
/
domestic
Submit Job
This endpoint is part of a job-based async workflow. See the job-based API workflow guide for job creation, payload upload, and status polling.
Run in Postman
Headers
Specifies the response format expected from the API. Use application/json for JSON responses or application/xlsx for Excel file downloads.application/xlsx
Available options:
application/json, application/xlsx Your API key used to authenticate and authorize the request.
Indicates the version of the API you want to use. Ensures backward-compatible behavior.
Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.
Query Parameters
Was this page helpful?
āI